# Uses of Enum
com.fasterxml.jackson.core.JsonFactory.Feature

Packages that use JsonFactory.Feature
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.

## Uses of JsonFactory.Feature in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return JsonFactory.Feature
Modifier and Type
Method
Description
`static JsonFactory.Feature`
JsonFactory.Feature.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonFactory.Feature[]`
JsonFactory.Feature.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core with parameters of type JsonFactory.Feature
Modifier and Type
Method
Description
`final JsonFactory`
JsonFactory.`configure(JsonFactory.Feature f, boolean state)`
Deprecated.
since 2.10 use `TSFBuilder.configure(JsonFactory.Feature, boolean)` instead
`B`
TSFBuilder.`configure(JsonFactory.Feature f, boolean state)`
`JsonFactory`
JsonFactory.`disable(JsonFactory.Feature f)`
Deprecated.
since 2.10 use `TSFBuilder.configure(JsonFactory.Feature, boolean)` instead
`B`
TSFBuilder.`disable(JsonFactory.Feature f)`
`JsonFactory`
JsonFactory.`enable(JsonFactory.Feature f)`
Deprecated.
since 2.10 use `TSFBuilder.configure(JsonFactory.Feature, boolean)` instead
`B`
TSFBuilder.`enable(JsonFactory.Feature f)`
`final boolean`
JsonFactory.`isEnabled(JsonFactory.Feature f)`
Checked whether specified parser feature is enabled.
`abstract boolean`
TokenStreamFactory.`isEnabled(JsonFactory.Feature f)`